Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface DiscreteCurveCoverage

All Superinterfaces:
  Coverage, DiscreteCoverage

    @UML(identifier="CV_DiscreteCurveCoverage",
         specification=ISO_19123)
    public interface DiscreteCurveCoverage

extends DiscreteCoverage

A discrete coverage characterized by a finite spatial domain consisting of curves. Often the curves represent features such as roads, railroads, or streams. They may be elements of a network.

Example: A coverage that assigns a route a number, a name, a pavement width, and a pavement material type to each segment of a road system.

TODO:
  evaluate and evaluateInverse

Method Summary
`Set<CurveValuePair>` | `getElements()` Returns the set of curve-value pairs included in this coverage.
`Set<CurveValuePair>` | `list()` Returns the dictionary of curve-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.
`Set<CurveValuePair>` | `locate(DirectPosition p)` Returns the set of curve-value pairs that include the domain objects containing the specified direct position.

Methods inherited from interface DiscreteCoverage
`evaluate, evaluateInverse`

Methods inherited from interface Coverage
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluateInverse, find, find, getCommonPointRule, getCoordinateReferenceSystem, getDimensionNames, getDomainElements, getDomainExtents, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getRangeElements, getRangeType, getRenderableImage, getSampleDimension, getSources, select`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<CurveValuePair> getElements()

  Returns the set of curve-value pairs included in this coverage.

  Specified by:
    `getElements` in interface `DiscreteCoverage`

### locate

    @UML(identifier="locate",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<CurveValuePair> locate(DirectPosition p)

  Returns the set of curve-value pairs that include the domain objects containing the specified direct position.

  Specified by:
    `locate` in interface `DiscreteCoverage`

### list

    @UML(identifier="list",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<CurveValuePair> list()

  Returns the dictionary of curve-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.

  Specified by:
    `list` in interface `Coverage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.